local FOLDER_NAME, private = ...
local _G = _G
local LS = _G.LibStub
local L = LS("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local data = {
	Cloth = {
		van = {
			id = {2589, 2996, 2592, 2997, 4306, 4305, 4338, 4339, 14256, 14047, 14048, 14342},
			itype = {1, 2, 1, 2, 1, 2, 1, 2, 0, 0, 2, 0},
			strings = {L["Linen"], L["Linen"], L["Wool"], L["Wool"], L["Silk"], L["Silk"], L["Mageweave"], L["Mageweave"], L["Felcloth"], L["Runecloth"], L["Runecloth"], L["Mooncloth"]},
			short = {L["S_Linen"], L["S_Linen"], L["S_Wool"], L["S_Wool"], L["S_Silk"], L["S_Silk"], L["S_Mageweave"], L["S_Mageweave"], L["S_Felcloth"], L["S_Runecloth"], L["S_Runecloth"], L["S_Mooncloth"]},
			color = {"deb887", "deb887", "ffffd7", "ffffd7", "ebc2eb", "ebc2eb", "dbaca9", "dbaca9", "d05567", "ed6e97", "ed6e97", "e0ffff"}
		},
		bc = {
			id = {21877, 21840, 21842, 21845, 24271, 24272, 21844},
			itype = {1, 2, 2, 0, 0, 0, 0},
			strings = {L["Netherweave"], L["Netherweave"], L["Imbued Netherweave"], L["Primal Mooncloth"], L["Spellcloth"], L["Shadowcloth"], L["Soulcloth"]},
			short = {L["S_Netherweave"], L["S_Netherweave"], L["S_Imbued Netherweave"], L["S_Primal Mooncloth"], L["S_Spellcloth"], L["S_Shadowcloth"], L["S_Soulcloth"]},
			color = {"ff67bc", "ff67bc", "9e7bff", "ac8ff9", "dc381f", "58b003", "43c6db"}
		},
		lk = {
			id = {33470, 41510, 41511, 41593, 41594, 41595},
			itype = {1, 2, 2, 0, 0, 0},
			strings = {L["Frostweave"], L["Frostweave"], L["Imbued Frostweave"], L["Ebonweave"], L["Moonshroud"], L["Spellweave"]},
			short = {L["S_Frostweave"], L["S_Frostweave"], L["S_Imbued Frostweave"], L["S_Ebonweave"], L["S_Moonshroud"], L["S_Spellweave"]},
			color = {"447bdb", "447bdb", "2690bd", "87afc7", "b165ff", "df3935"}
		},
		cata = {
			id = {53010, 53643, 54440},
			itype = {1, 2, 0},
			strings = {L["Embersilk"], L["Embersilk"], L["Dreamcloth"]},
			short = {L["S_Embersilk"], L["S_Embersilk"], L["S_Dreamcloth"]},
			color = {"bb9694", "bb9694", "4e8975"}
		},
		mop = {
			id = {72988, 82441, 82447, 98619},
			itype = {1, 2, 0, 1},
			strings = {L["Windwool"], L["Windwool"], L["Imperial Silk"], L["Celestial"]},
			short = {L["S_Windwool"], L["S_Windwool"], L["S_Imperial Silk"], L["S_Celestial"]},
			color = {"3b9c9c", "3b9c9c", "f47873", "306eff"}
		},
		wod = {
			id = {111557, 111556},
			itype = {0, 1},
			strings = {L["Sumptuous Fur"], L["Hexweave"]},
			short = {L["S_Sumptuous Fur"], L["S_Hexweave"]},
			color = {"996666", "85a089"}
		},
		leg = {
			id = {124437, 127004},
			itype = {0, 0},
			strings = {L["Shal'dorei Silk"], L["Imbued Silkweave"]},
			short = {L["S_Shal'dorei Silk"], L["S_Imbued Silkweave"]},
			color = {"c474dc", "f04377"}
		},
	},
	Elements = {
		bc = {
			id = {22572, 22451, 22574, 21884, 22575, 21886, 22576, 22457, 22573, 22452, 22578, 21885, 22577, 22456, 23571, 23572, 30183},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Mote of Air"], L["Primal Air"], L["Mote of Fire"], L["Primal Fire"], L["Mote of Life"], L["Primal Life"], L["Mote of Mana"], L["Primal Mana"], L["Mote of Earth"], L["Primal Earth"], L["Mote of Water"], L["Primal Water"], L["Mote of Shadow"], L["Primal Shadow"], L["Primal Might"], L["Primal Nether"], L["Nether Vortex"]},
			short = {L["S_Mote of Air"], L["S_Primal Air"], L["S_Mote of Fire"], L["S_Primal Fire"], L["S_Mote of Life"], L["S_Primal Life"], L["S_Mote of Mana"], L["S_Primal Mana"], L["S_Mote of Earth"], L["S_Primal Earth"], L["S_Mote of Water"], L["S_Primal Water"], L["S_Mote of Shadow"], L["S_Primal Shadow"], L["S_Primal Might"], L["S_Primal Nether"], L["S_Nether Vortex"]},
			color = {"99cccc", "99cccc", "ff3300", "ff3300", "33cc00", "33cc00", "33cccc", "33cccc", "996600", "996600", "3399ff", "3399ff", "9933ff", "9933ff", "0066ff", "ffcc00", "ff9900"}
		},
		lk = {
			id = {37700, 35623, 37702, 36860, 37704, 35625, 37701, 35624, 37705, 35622, 37703, 35627, 43102},
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Crystallized Air"], L["Eternal Air"], L["Crystallized Fire"], L["Eternal Fire"], L["Crystallized Life"], L["Eternal Life"], L["Crystallized Earth"], L["Eternal Earth"], L["Crystallized Water"], L["Eternal Water"], L["Crystallized Shadow"], L["Eternal Shadow"], L["Frozen Orb"]},
			short = {L["S_Crystallized Air"], L["S_Eternal Air"], L["S_Crystallized Fire"], L["S_Eternal Fire"], L["S_Crystallized Life"], L["S_Eternal Life"], L["S_Crystallized Earth"], L["S_Eternal Earth"], L["S_Crystallized Water"], L["S_Eternal Water"], L["S_Crystallized Shadow"], L["S_Eternal Shadow"], L["S_Frozen Orb"]},
			color = {"99cccc", "99cccc", "ff3300", "ff3300", "33cc00", "33cc00", "996600", "996600", "3399ff", "3399ff", "9933ff", "9933ff", "3377aa"}
		},
		cata = {
			id = {52328, 52325, 52329, 52327, 52326, 52330},
			itype = {0, 0, 0, 0, 0, 0},
			strings = {L["Volatile Air"], L["Volatile Fire"], L["Volatile Life"], L["Volatile Earth"], L["Volatile Water"], L["Volatile Shadow"]},
			short = {L["S_Volatile Air"], L["S_Volatile Fire"], L["S_Volatile Life"], L["S_Volatile Earth"], L["S_Volatile Water"], L["S_Volatile Shadow"]},
			color = {"99cccc", "ff3300", "33cc00", "996600", "3399ff", "9933ff", "3377aa", "338888"}
		},
		mop = {
			id = {89112, 76061},
			itype = {0, 0},
			strings = {L["Mote of Harmony"], L["Spirit of Harmony"]},
			short = {L["S_Mote of Harmony"], L["S_Spirit of Harmony"]},
			color = {"526eff", "528eff"}
		},
		wod = {
			id = {113264, 113263, 113262, 113261, 120945, 118472, 127759},
			itype = {0, 0, 0, 0, 0, 0, 0},
			strings = {L["Sorcerous Air"], L["Sorcerous Earth"], L["Sorcerous Water"], L["Sorcerous Fire"], L["Primal Spirit"], L["Savage Blood"], L["Felblight"]},
			short = {L["S_Sorcerous Air"], L["S_Sorcerous Earth"], L["S_Sorcerous Water"], L["S_Sorcerous Fire"], L["S_Primal Spirit"], L["S_Savage Blood"], L["S_Felblight"]},
			color = {"99cccc", "996600", "3399ff", "ff5719", "f88017", "ff3030", "66cd00"}
		},
		leg = {
			id = {124123, 124122, 124124, 124444},
			itype = {0, 0, 0, 0},
			strings = {L["Demonfire"], L["Leyfire"], L["Blood of Sargeras"], L["Infernal Brimstone"]},
			short = {L["S_Demonfire"], L["S_Leyfire"], L["S_Blood of Sargeras"], L["S_Infernal Brimstone"]},
			color = {"80e619", "4db8ff", "44e114", "cff028"}
		},
	},
	Enchanting = {
		van = {
			id = {10940, 10938, 10939, 11083, 10998, 11082, 10978, 11084, 11137, 11134, 11135, 11138, 11139, 11176, 11174, 11175, 11177, 11178, 16204, 16202, 16203, 14343, 14344 },
			itype = {0, 3, 4, 0, 3, 4, 5, 6, 0, 3, 4, 5, 6, 0, 3, 4, 5, 6, 0, 3, 4, 5, 6 },
			strings = {L["Strange Dust"], L["Magic Essence"], L["Magic Essence"], L["Soul Dust"], L["Astral Essence"], L["Astral Essence"], L["Glimmering Shard"], L["Glimmering Shard"], L["Vision Dust"], L["Mystic Essence"], L["Mystic Essence"], L["Glowing Shard"], L["Glowing Shard"], L["Dream Dust"], L["Nether Essence"], L["Nether Essence"], L["Radiant Shard"], L["Radiant Shard"], L["Illusion Dust"], L["Eternal Essence"], L["Eternal Essence"], L["Brilliant Shard"], L["Brilliant Shard"]},
			short = {L["S_Strange Dust"], L["S_Magic Essence"], L["S_Magic Essence"], L["S_Soul Dust"], L["S_Astral Essence"], L["S_Astral Essence"], L["S_Glimmering Shard"], L["S_Glimmering Shard"], L["S_Vision Dust"], L["S_Mystic Essence"], L["S_Mystic Essence"], L["S_Glowing Shard"], L["S_Glowing Shard"], L["S_Dream Dust"], L["S_Nether Essence"], L["S_Nether Essence"], L["S_Radiant Shard"], L["S_Radiant Shard"], L["S_Illusion Dust"], L["S_Eternal Essence"], L["S_Eternal Essence"], L["S_Brilliant Shard"], L["S_Brilliant Shard"]},
			color = {"7fffd4", "1589ff", "1589ff", "6960ec", "ffb249", "ffb249", "43c6db", "43c6db", "6beeff", "b93b8f", "b93b8f", "ffbdff", "ffbdff", "e8adaa", "77ff35", "77ff35", "c45aec", "c45aec", "c48793", "6698ff", "6698ff", "ffcc66", "ffcc66"}
		},
		bc = {
			id = {22445, 22447, 22446, 22448, 22449, 22450 },
			itype = {0, 3, 4, 5, 6, 0 },
			strings = {L["Arcane Dust"], L["Planar Essence"], L["Planar Essence"], L["Prismatic Shard"], L["Prismatic Shard"], L["Void Crystal"]},
			short = {L["S_Arcane Dust"], L["S_Planar Essence"], L["S_Planar Essence"], L["S_Prismatic Shard"], L["S_Prismatic Shard"], L["S_Void Crystal"]},
			color = {"ff3fb4", "b048b5", "b048b5", "368bc1", "368bc1", "b65dff"}
		},
		lk = {
			id = {34054, 34056, 34055, 34053, 34052, 34057 },
			itype = {0, 3, 4, 5, 6, 0 },
			strings = {L["Infinite Dust"], L["Cosmic Essence"], L["Cosmic Essence"], L["Dream Shard"], L["Dream Shard"], L["Abyss Crystal"]},
			short = {L["S_Infinite Dust"], L["S_Cosmic Essence"], L["S_Cosmic Essence"], L["S_Dream Shard"], L["S_Dream Shard"], L["S_Abyss Crystal"]},
			color = {"5cb3ff", "bb5edb", "bb5edb", "82cafa", "82cafa", "3090c7"}
		},
		cata = {
			id = {52555, 52718, 52719, 52720, 52721, 52722 },
			itype = {0, 3, 4, 5, 6, 0 },
			strings = {L["Hypnotic Dust"], L["Celestial Essence"], L["Celestial Essence"], L["Heavenly Shard"], L["Heavenly Shard"], L["Maelstrom Crystal"]},
			short = {L["S_Hypnotic Dust"], L["S_Celestial Essence"], L["S_Celestial Essence"], L["S_Heavenly Shard"], L["S_Heavenly Shard"], L["S_Maelstrom Crystal"]},
			color = {"7fffd4", "76e0f5", "76e0f5", "f77959", "f77959", "7959f7"}
		},
		mop = {
			id = {74249, 74250, 74252, 74247, 105718, 74248, 80433, 94289, 102218 },
			itype = {0, 0, 5, 0, 0, 0, 0, 0, 0 },
			strings = {L["Spirit Dust"], L["Mysterious Essence"], L["Ethereal Shard"], L["Ethereal Shard"], L["Sha Crystal Fragment"], L["Sha Crystal"], L["Blood Spirit"], L["Haunting Spirit"], L["Spirit of War"]},
			short = {L["S_Spirit Dust"], L["S_Mysterious Essence"], L["S_Ethereal Shard"], L["S_Ethereal Shard"], L["S_Sha Crystal Fragment"], L["S_Sha Crystal"], L["S_Blood Spirit"], L["S_Haunting Spirit"], L["S_Spirit of War"]},
			color = {"ffc9a9", "14ff14", "00aaff", "00aaff", "aa00ff", "aa00ff", "f34d49", "ff7eff", "eb2400"}
		},
		wod = {
			id = {109693, 111245, 115504, 113588 },
			strings = {L["Draenic Dust"], L["Luminous Shard"], L["Fractured Temporal Crystal"], L["Temporal Crystal"]},
			itype = {0, 0, 0, 0 },
			short = {L["S_Draenic Dust"], L["S_Luminous Shard"], L["S_Fractured Temporal Crystal"], L["S_Temporal Crystal"]},
			color = {"ffff4d", "e5c100", "4dff4d", "4dff4d"}
		},
		leg = {
			id = {124440, 124441, 124442 },
			strings = {L["Arkhana"], L["Leylight Shard"], L["Chaos Crystal"]},
			itype = {0, 0, 0, 0 },
			short = {L["S_Arkhana"], L["S_Leylight Shard"], L["S_Chaos Crystal"]},
			color = {"8cd5e1", "e14fbb", "00cf0e"}
		},
	},
	Gems = {
		van = {
			id = {774, 5498, 818, 1210, 5500, 1206, 1705, 1529, 7971, 13929, 24478, 24479, 3864, 7909, 11382, 7910, 12361, 12799, 12800, 12364, 12363 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Malachite"], L["Small Lustrous Pearl"], L["Tigerseye"], L["Shadowgem"], L["Iridescent Pearl"], L["Moss Agate"], L["Lesser Moonstone"], L["Jade"], L["Citrine"], L["Golden Pearl"], L["Black Pearl"], L["Shadow Pearl"], L["Jaggal Pearl"], L["Aquamarine"], L["Star Ruby"], L["Blood of the Mountain"], L["Blue Sapphire"], L["Large Opal"], L["Azerothian Diamond"], L["Huge Emerald"], L["Arcane Crystal"]},
			short = {L["S_Malachite"], L["S_Small Lustrous Pearl"], L["S_Tigerseye"], L["S_Shadowgem"], L["S_Iridescent Pearl"], L["S_Moss Agate"], L["S_Lesser Moonstone"], L["S_Jade"], L["S_Citrine"], L["S_Golden Pearl"], L["S_Black Pearl"], L["S_Shadow Pearl"], L["S_Jaggal Pearl"], L["S_Aquamarine"], L["S_Star Ruby"], L["S_Blood of the Mountain"], L["S_Blue Sapphire"], L["S_Large Opal"], L["S_Azerothian Diamond"], L["S_Huge Emerald"], L["S_Arcane Crystal"]},
			color = {"32ff32", "e0ffff", "ffa62f", "f433ff", "fdd7e4", "52d017", "7dfdfe", "4ae75a", "ffe26b", "ffb039", "1569c7", "297ddb", "fff8dc", "75f5ca", "ff5449", "e1362b", "2b65ec", "ffc321", "f9f8f6", "5ffb17", "ffff28"}
		},
		bc = {
			id = {21929, 23077, 23079, 23107, 23112, 23117, 23436, 23437, 23438, 23439, 23440, 23441, 32227, 32228, 32229, 32230, 32231, 32249, 25867, 25868 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Flame Spessarite"], L["Blood Garnet"], L["Deep Peridot"], L["Shadow Draenite"], L["Golden Draenite"], L["Azure Moonstone"], L["Living Ruby"], L["Talasite"], L["Star of Elune"], L["Noble Topaz"], L["Dawnstone"], L["Nightseye"], L["Crimson Spinel"], L["Empyrean Sapphire"], L["Lionseye"], L["Shadowsong Amethyst"], L["Pyrestone"], L["Seaspray Emerald"], L["Earthstorm Diamond"], L["Skyfire Diamond"]},
			short = {L["S_Flame Spessarite"], L["S_Blood Garnet"], L["S_Deep Peridot"], L["S_Shadow Draenite"], L["S_Golden Draenite"], L["S_Azure Moonstone"], L["S_Living Ruby"], L["S_Talasite"], L["S_Star of Elune"], L["S_Noble Topaz"], L["S_Dawnstone"], L["S_Nightseye"], L["S_Crimson Spinel"], L["S_Empyrean Sapphire"], L["S_Lionseye"], L["S_Shadowsong Amethyst"], L["S_Pyrestone"], L["S_Seaspray Emerald"], L["S_Earthstorm Diamond"], L["S_Skyfire Diamond"]},
			color = {"ff8040", "ff2400", "00ff22", "c974ff", "ffe42b", "306eff", "f62217", "8be102", "2ab3ff", "ffaf34", "fff133", "c974ff", "ff362b", "0dd6e1", "ffe62b", "8d38c9", "ffa500", "7fe817", "b6b6b4", "bcc6cc"}
		},
		lk = {
			id = {45054, 36917, 36920, 36923, 36926, 36929, 36932, 36784, 36783, 36918, 36921, 36924, 36927, 36930, 36933, 36919, 36922, 36925, 36928, 36931, 36934, 41266, 41334, 42225 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Prismatic Black Diamond"], L["Bloodstone"], L["Sun Crystal"], L["Chalcedony"], L["Shadow Crystal"], L["Huge Citrine"], L["Dark Jade"], L["Siren's Tear"], L["Northsea Pearl"], L["Scarlet Ruby"], L["Autumn's Glow"], L["Sky Sapphire"], L["Twilight Opal"], L["Monarch Topaz"], L["Forest Emerald"], L["Cardinal Ruby"], L["King's Amber"], L["Majestic Zircon"], L["Dreadstone"], L["Ametrine"], L["Eye of Zul"], L["Skyflare Diamond"], L["Earthsiege Diamond"], L["Dragon's Eye"]},
			short = {L["S_Prismatic Black Diamond"], L["S_Bloodstone"], L["S_Sun Crystal"], L["S_Chalcedony"], L["S_Shadow Crystal"], L["S_Huge Citrine"], L["S_Dark Jade"], L["S_Siren's Tear"], L["S_Northsea Pearl"], L["S_Scarlet Ruby"], L["S_Autumn's Glow"], L["S_Sky Sapphire"], L["S_Twilight Opal"], L["S_Monarch Topaz"], L["S_Forest Emerald"], L["S_Cardinal Ruby"], L["S_King's Amber"], L["S_Majestic Zircon"], L["S_Dreadstone"], L["S_Ametrine"], L["S_Eye of Zul"], L["S_Skyflare Diamond"], L["S_Earthsiege Diamond"], L["S_Dragon's Eye"]},
			color = {"a4a0c6", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "2b60de", "bcc6cc", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "b6b6b4", "bcc6cc", "f0ffff"}
		},
		cata = {
			id = {52338, 52177, 52178, 52179, 52180, 52181, 52182, 52190, 52191, 52192, 52193, 52194, 52195, 71805, 71806, 71807, 71808, 71809, 71810, 52303, 52196 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Darkfathom Pearl"], L["Carnelian"], L["Zephyrite"], L["Alicite"], L["Nightstone"], L["Hessonite"], L["Jasper"], L["Inferno Ruby"], L["Ocean Sapphire"], L["Dream Emerald"], L["Ember Topaz"], L["Demonseye"], L["Amberjewel"], L["Queen's Garnet"], L["Lightstone"], L["Deepholm Iolite"], L["Lava Coral"], L["Shadow Spinel"], L["Elven Peridot"], L["Shadowspirit Diamond"], L["Chimera's Eye"]},
			short = {L["S_Darkfathom Pearl"], L["S_Carnelian"], L["S_Zephyrite"], L["S_Alicite"], L["S_Nightstone"], L["S_Hessonite"], L["S_Jasper"], L["S_Inferno Ruby"], L["S_Ocean Sapphire"], L["S_Dream Emerald"], L["S_Ember Topaz"], L["S_Demonseye"], L["S_Amberjewel"], L["S_Queen's Garnet"], L["S_Lightstone"], L["S_Deepholm Iolite"], L["S_Lava Coral"], L["S_Shadow Spinel"], L["S_Elven Peridot"], L["S_Shadowspirit Diamond"], L["S_Chimera's Eye"]},
			color = {"bcc6cc", "ff2400", "38acec", "ffd801", "893bff", "ffa500", "59e817", "ff2400", "38acec", "59e817", "ffa500", "893bff", "ffd801", "ff2400", "ffd801", "38acec", "ffa500", "893bff", "59e817", "b6b6b4", "f0ffff"}
		},
		mop = {
			id = {76130, 76133, 76134, 76135, 76136, 76137, 76142, 76138, 76140, 76141, 76131, 76139, 76132, 76734 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Tiger Opal"], L["Lapis Lazuli"], L["Sunstone"], L["Roguestone"], L["Pandarian Garnet"], L["Alexandrite"], L["Sun's Radiance"], L["River's Heart"], L["Vermilion Onyx"], L["Imperial Amethyst"], L["Primordial Ruby"], L["Wild Jade"], L["Primal Diamond"], L["Serpent's Eye"]},
			short = {L["S_Tiger Opal"], L["S_Lapis Lazuli"], L["S_Sunstone"], L["S_Roguestone"], L["S_Pandarian Garnet"], L["S_Alexandrite"], L["S_Sun's Radiance"], L["S_River's Heart"], L["S_Vermilion Onyx"], L["S_Imperial Amethyst"], L["S_Primordial Ruby"], L["S_Wild Jade"], L["S_Primal Diamond"], L["S_Serpent's Eye"]},
			color = {"ffa500", "ffd801", "38acec", "893bff", "ff2400", "59e817", "ffd801", "38acec", "ffa500", "893bff", "ff2400", "59e817", "b6b6b4", "1a8dff"}
		},
		wod = {
			id = {115524 },
			itype = {0},
			strings = {L["Taladite Crystal"]},
			short = {L["S_Taladite Crystal"]},
			color = {"eeeeee"}
		},
		leg = {
			id = {130174, 130175, 130173, 130172, 130176, 130177, 130180, 130179, 130178, 130182, 130181, 130245, 130183 },
			itype = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
			strings = {L["Azsunite"], L["Chaotic Spinel"], L["Deep Amber"], L["Sangrite"], L["Skystone"], L["Queen's Opal"], L["Dawnlight"], L["Eye of Prophecy"], L["Furystone"], L["Maelstrom Sapphire"], L["Pandemonite"], L["Saber's Eye"], L["Shadow Ruby"]},
			short = {L["S_Azsunite"], L["S_Chaotic Spinel"], L["S_Deep Amber"], L["S_Sangrite"], L["S_Skystone"], L["S_Queen's Opal"], L["S_Dawnlight"], L["S_Eye of Prophecy"], L["S_Furystone"], L["S_Maelstrom Sapphire"], L["S_Pandemonite"], L["S_Saber's Eye"], L["S_Shadow Ruby"]},
			color = {"cfd20b", "61bd09", "e56800", "e51818", "009fff", "c701da", "cfd20b", "e56800", "e51818", "009fff", "61bd09", "c970d2", "c701da"}
		},
	},
}

local itemTypes = {
	[1] = L["Cloth"],
	[2] = L["Bolt of"],
	[3] = L["Lesser"],
	[4] = L["Greater"],
	[5] = L["Small"],
	[6] = L["Large"],
}

local shortItemtypes = {
	[1] = L["S_Cloth"],
	[2] = L["S_Bolt of"],
	[3] = L["S_Lesser"],
	[4] = L["S_Greater"],
	[5] = L["S_Small"],
	[6] = L["S_Large"],
}

private.data = data
private.itemTypes = itemTypes
private.shortItemtypes = shortItemtypes
